@echo off
@Echo Compiling a release build of Firebird v1.5

if DEFINED VS71COMNTOOLS (
@devenv /? >nul 2>nul
@if errorlevel 9009 (call "%VS71COMNTOOLS%vsvars32.bat") else ( echo "%VS71COMNTOOLS%vsvars32.bat has already been executed.")
) else (
@msdev /? >nul 2>nul
@if errorlevel 9009 (call "C:\Program Files\Microsoft Visual Studio\VC98\Bin\vcvars32.bat") else (echo "MSVC6 vcvars.bat has already been executed")
)

call clean_all.bat
call prepare.bat
call parse.bat
call make_boot.bat
call make_all.bat %1 %2 || @echo an error occurred & goto :EOF
call :MAKE_EXAMPLES
goto :EOF

::============
:MAKE_EXAMPLES
::Test to see if make_all failed somewhere
::so something will have failed
findstr error(s) make_all.log |  find  /V "0 err" | find  /C "err"&& (goto :make_fail && goto :EOF) || goto :make_good
goto :EOF


::========
:MAKE_GOOD
@echo.
@echo.
@echo No errors occurred during make_all.
@echo Now proceeding to make examples.
@echo.
call make_examples.bat
goto :EOF


::=======
:MAKE_FAIL
@echo The following errors and warnings occurred during the build:
findstr error(s) make_all.log |  find  /V "0 err"
goto :EOF



